> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/campaign/:id

> Delivery for one ad server campaign: impressions, clicks, CTR, spend and viewability, as totals, a daily trend and breakdowns by publisher, ad unit, creative size and device



## OpenAPI

````yaml /openapi.json get /v1/report/campaign/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/campaign/{id}:
    get:
      tags:
        - Reporting/Campaign Reports
        - public
      summary: /report/campaign/:id
      description: >-
        Delivery for one ad server campaign: impressions, clicks, CTR, spend and
        viewability, as totals, a daily trend and breakdowns by publisher, ad
        unit, creative size and device
      parameters:
        - name: id
          in: path
          description: Campaign ID
          required: true
          example: ''
          schema:
            type: integer
        - name: uid
          in: query
          description: Filters to one publisher, by its publisher ID
          required: false
          schema:
            type: integer
        - name: start
          in: query
          description: >-
            Start date (YYYY-MM-DD). Defaults to the campaign's first delivery
            date
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date (YYYY-MM-DD). Defaults to the campaign's last delivery date
          required: false
          schema:
            type: string
            format: date
        - name: config
          in: query
          description: Filters to one ad unit config, by its ID
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      campaign_id:
                        type: integer
                        description: Ad server campaign (order) ID
                      campaign_name:
                        type: string
                      start_date:
                        type: string
                        format: date
                        description: >-
                          First day the campaign delivered (not affected by the
                          start parameter)
                      end_date:
                        type: string
                        format: date
                        description: >-
                          Last day the campaign delivered (not affected by the
                          end parameter)
                      currency:
                        type: string
                        description: >-
                          Currency code for spend values (your organisation's
                          currency)
                      status:
                        type: string
                        enum:
                          - live
                          - complete
                        description: >-
                          complete if end_date is before yesterday, otherwise
                          live
                      total_impressions:
                        type: integer
                      total_clicks:
                        type: integer
                      total_spend:
                        type: number
                        description: Spend in the report currency
                      total_viewable_impressions:
                        type: integer
                      filter_data:
                        type: object
                        description: >-
                          Sites and ad unit configs the campaign delivered on
                          between start_date and end_date, for use as filter
                          values
                        properties:
                          publishers:
                            type: array
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                  description: Site ID
                                domain:
                                  type: string
                                label:
                                  type: string
                                  description: Site label, null if not set
                                  nullable: true
                              required:
                                - uid
                                - domain
                                - label
                          configs:
                            type: array
                            items:
                              type: object
                              properties:
                                config_id:
                                  type: integer
                                  description: Ad unit config ID
                                unit:
                                  type: string
                                  description: Ad unit type, e.g. iab, in-image, adhesion
                                unit_label:
                                  type: string
                                  description: Ad unit config label
                                  nullable: true
                              required:
                                - config_id
                                - unit
                                - unit_label
                        required:
                          - publishers
                          - configs
                      range:
                        type: object
                        description: Daily trend for the requested date range
                        properties:
                          clicks:
                            type: array
                            items:
                              type: integer
                              nullable: true
                            description: Lined up with dates; null on days with no delivery
                          impressions:
                            type: array
                            items:
                              type: integer
                              nullable: true
                            description: Lined up with dates; null on days with no delivery
                          dates:
                            type: array
                            items:
                              type: string
                              format: date
                        required:
                          - clicks
                          - impressions
                          - dates
                      data:
                        type: object
                        description: >-
                          Delivery totals for the requested date range and
                          filters, grouped in different ways
                        properties:
                          byUid:
                            type: array
                            description: Totals by site
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                  description: Site ID
                                domain:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - uid
                                - domain
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          byLineItem:
                            type: array
                            description: Totals by line item
                            items:
                              type: object
                              properties:
                                line_item_id:
                                  type: integer
                                line_item_name:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - line_item_id
                                - line_item_name
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          byConfig:
                            type: array
                            description: Totals by ad unit config
                            items:
                              type: object
                              properties:
                                config_id:
                                  type: integer
                                  description: Ad unit config ID
                                unit:
                                  type: string
                                  description: Ad unit type, e.g. iab, in-image, adhesion
                                unit_label:
                                  type: string
                                  description: Ad unit config label
                                  nullable: true
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - config_id
                                - unit
                                - unit_label
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          byCreativeSize:
                            type: array
                            description: Totals by creative size
                            items:
                              type: object
                              properties:
                                creative_size:
                                  type: string
                                  description: Creative size, e.g. 300x250
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - creative_size
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          byDevice:
                            type: array
                            description: Totals by device type
                            items:
                              type: object
                              properties:
                                device:
                                  type: string
                                  description: Device type, e.g. desktop, mobile, tablet
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - device
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          byDate:
                            type: array
                            description: Totals by day, for days with delivery
                            items:
                              type: object
                              properties:
                                date:
                                  type: string
                                  format: date
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: number
                                  description: Spend in the report currency
                                viewable_impressions:
                                  type: integer
                              required:
                                - date
                                - impressions
                                - clicks
                                - spend
                                - viewable_impressions
                          all:
                            type: array
                            description: >-
                              Ungrouped rows: one per site, line item, ad unit
                              config, day, device and creative size, ordered by
                              date
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                  description: Site ID
                                domain:
                                  type: string
                                line_item_id:
                                  type: integer
                                line_item_name:
                                  type: string
                                config_id:
                                  type: integer
                                  description: Ad unit config ID
                                unit:
                                  type: string
                                  description: Ad unit type, e.g. iab, in-image, adhesion
                                unit_label:
                                  type: string
                                  description: Ad unit config label
                                  nullable: true
                                date:
                                  type: string
                                  format: date
                                device:
                                  type: string
                                  description: Device type, e.g. desktop, mobile, tablet
                                creative_size:
                                  type: string
                                  description: Creative size, e.g. 300x250
                                impressions:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  description: >-
                                    Spend in the report currency; values below
                                    0.001 can come back as a string in
                                    scientific notation, e.g. "5.0E-4"
                                  anyOf:
                                    - type: number
                                    - type: string
                                ctr:
                                  description: >-
                                    clicks / impressions, 0 to 1; null when
                                    there are no impressions; values below 0.001
                                    can come back as a string in scientific
                                    notation, e.g. "5.0E-4"
                                  anyOf:
                                    - type: number
                                      nullable: true
                                    - type: string
                                      nullable: true
                                viewability:
                                  description: >-
                                    viewable_impressions / impressions, 0 to 1;
                                    null when there are no impressions; values
                                    below 0.001 can come back as a string in
                                    scientific notation, e.g. "5.0E-4"
                                  anyOf:
                                    - type: number
                                      nullable: true
                                    - type: string
                                      nullable: true
                              required:
                                - uid
                                - domain
                                - line_item_id
                                - line_item_name
                                - config_id
                                - unit
                                - unit_label
                                - date
                                - device
                                - creative_size
                                - impressions
                                - viewable_impressions
                                - clicks
                                - spend
                                - ctr
                                - viewability
                        required:
                          - byUid
                          - byLineItem
                          - byConfig
                          - byCreativeSize
                          - byDevice
                          - byDate
                          - all
                    required:
                      - campaign_id
                      - campaign_name
                      - start_date
                      - end_date
                      - currency
                      - status
                      - total_impressions
                      - total_clicks
                      - total_spend
                      - total_viewable_impressions
                      - filter_data
                      - range
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  campaign_id: 3184472016
                  campaign_name: Autumn sale - Example Retail
                  start_date: '2026-10-20'
                  end_date: '2026-10-22'
                  currency: GBP
                  status: live
                  total_impressions: 37580
                  total_clicks: 26
                  total_spend: 56.38
                  total_viewable_impressions: 24740
                  filter_data:
                    publishers:
                      - uid: 20431
                        domain: example.com
                        label: null
                      - uid: 20515
                        domain: news.example.org
                        label: News
                    configs:
                      - config_id: 9120
                        unit: iab
                        unit_label: MPU 1
                      - config_id: 9084
                        unit: iab
                        unit_label: Leaderboard 1
                  range:
                    clicks:
                      - 14
                      - 9
                      - 3
                    impressions:
                      - 12480
                      - 15230
                      - 9870
                    dates:
                      - '2026-10-20'
                      - '2026-10-21'
                      - '2026-10-22'
                  data:
                    byUid:
                      - uid: 20431
                        domain: example.com
                        impressions: 27710
                        clicks: 23
                        spend: 41.57
                        viewable_impressions: 18720
                      - uid: 20515
                        domain: news.example.org
                        impressions: 9870
                        clicks: 3
                        spend: 14.81
                        viewable_impressions: 6020
                    byLineItem:
                      - line_item_id: 6810452231
                        line_item_name: Autumn sale - MPU
                        impressions: 27710
                        clicks: 23
                        spend: 41.57
                        viewable_impressions: 18720
                      - line_item_id: 6810452232
                        line_item_name: Autumn sale - Leaderboard
                        impressions: 9870
                        clicks: 3
                        spend: 14.81
                        viewable_impressions: 6020
                    byConfig:
                      - config_id: 9120
                        unit: iab
                        unit_label: MPU 1
                        impressions: 27710
                        clicks: 23
                        spend: 41.57
                        viewable_impressions: 18720
                      - config_id: 9084
                        unit: iab
                        unit_label: Leaderboard 1
                        impressions: 9870
                        clicks: 3
                        spend: 14.81
                        viewable_impressions: 6020
                    byCreativeSize:
                      - creative_size: 300x250
                        impressions: 27710
                        clicks: 23
                        spend: 41.57
                        viewable_impressions: 18720
                      - creative_size: 728x90
                        impressions: 9870
                        clicks: 3
                        spend: 14.81
                        viewable_impressions: 6020
                    byDevice:
                      - device: desktop
                        impressions: 22350
                        clicks: 17
                        spend: 33.53
                        viewable_impressions: 14630
                      - device: mobile
                        impressions: 15230
                        clicks: 9
                        spend: 22.85
                        viewable_impressions: 10110
                    byDate:
                      - date: '2026-10-20'
                        impressions: 12480
                        clicks: 14
                        spend: 18.72
                        viewable_impressions: 8610
                      - date: '2026-10-21'
                        impressions: 15230
                        clicks: 9
                        spend: 22.85
                        viewable_impressions: 10110
                      - date: '2026-10-22'
                        impressions: 9870
                        clicks: 3
                        spend: 14.81
                        viewable_impressions: 6020
                    all:
                      - uid: 20431
                        domain: example.com
                        line_item_id: 6810452231
                        line_item_name: Autumn sale - MPU
                        config_id: 9120
                        unit: iab
                        unit_label: MPU 1
                        date: '2026-10-20'
                        device: desktop
                        creative_size: 300x250
                        impressions: 12480
                        viewable_impressions: 8610
                        clicks: 14
                        spend: 18.72
                        ctr: 0.001122
                        viewability: 0.689904
                      - uid: 20431
                        domain: example.com
                        line_item_id: 6810452231
                        line_item_name: Autumn sale - MPU
                        config_id: 9120
                        unit: iab
                        unit_label: MPU 1
                        date: '2026-10-21'
                        device: mobile
                        creative_size: 300x250
                        impressions: 15230
                        viewable_impressions: 10110
                        clicks: 9
                        spend: 22.85
                        ctr: '5.909389363099146E-4'
                        viewability: 0.663821
                      - uid: 20515
                        domain: news.example.org
                        line_item_id: 6810452232
                        line_item_name: Autumn sale - Leaderboard
                        config_id: 9084
                        unit: iab
                        unit_label: Leaderboard 1
                        date: '2026-10-22'
                        device: desktop
                        creative_size: 728x90
                        impressions: 9870
                        viewable_impressions: 6020
                        clicks: 3
                        spend: 14.81
                        ctr: '3.03951367781155E-4'
                        viewability: 0.609929
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.